
QGIS Application - Bug report #11433

Processing: Help editor does not save the text

2014-10-17 10:56 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19709

Description

The user can add alg description etc., but the data are not saved in the model (when it is reopened, the text is not shown)

Related issues:

Related to QGIS Application - Bug report # 11087: Modeler, help from QGIS 2.2... Closed 2014-08-21

Duplicated by QGIS Application - Bug report # 12127: Help text for Models doe... Closed 2015-02-04

History

#1 - 2014-11-22 03:21 AM - Alexander Bruy

- Category changed from Processing/GUI to Processing/Modeller

- Status changed from Open to Rejected

This caused by recent modeler overhaul

#2 - 2014-11-22 10:53 AM - Paolo Cavallini

- Status changed from Rejected to Feedback

Sorry I miss your point: the data should be saved in the model anyway.

#3 - 2014-11-23 06:35 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

There is another ticket about this issue, see #11087.

Anyway, Victor fixed it in master.

#4 - 2015-03-11 03:54 AM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened

Still true on 2.8.1
#5 - 2015-03-11 03:54 AM - Paolo Cavallini

- Affected QGIS version changed from 2.4.0 to 2.8.1

#6 - 2015-05-21 07:47 AM - Arnaud Morvan

Actually in master help edition dialog work on a copy of the algorithm.

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/modeler/ModelerDialog.py#L224

The help dialog take the (cloned) algorithm as a parameter,

during initialization, it copy algorithm help content into a local variable (but it is reference copy)

it modify the local dictionnary during edition, and the (cloned) algorithm help content in the same time.

on validation

it affect the local dictionnary to the (cloned) algorithm (but it the same reference affectation <=> do nothing)

Note : with the script dialog, after comming back from the help dialog, it get the help content from the help dialog local variable (if help dialog was

accepted).

I can propose a simple solution for the model case:

  do the same thing that the script dialog

Regards

Arnaud

#7 - 2015-05-21 08:02 AM - Arnaud Morvan

I notice that, for the script case, if script help file already exist, help content is written to file on help dialog validation, and written a second time when script

is saved.

If script file does not exist, it will be saved only when script file is saved.

For the model case, help content is only write down on model save.

This is not consistent.

I propose to not save script help content in help validation but only in caller acceptation (model or script dialog)

like this it remove some specific code to script and models from the help dialog.

Arnaud

#8 - 2015-05-21 08:35 AM - Arnaud Morvan

Pull request proposed: https://github.com/qgis/QGIS/pull/2058

#9 - 2015-05-22 12:04 AM - Paolo Cavallini

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented
Fixed, merci Arnaud!
